{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    My Research Papers
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Archive My Papers
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="save save btn1 btn-orange" href="{% url 'viewpapers' %}">View &
                    Edit</a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="form-horizontal form-label-left">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Research Paper
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" placeholder="Name of the Research Paper" type="text"
                                       id="paper_name" maxlength="150" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Description
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea id="description" class="form-control" type="text" name="paper_name"
                                          maxlength="1500" placeholder="(optional)"></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Year of Pulishment
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="datepicker" class="form-control" type="text" minlength="4" maxlength="4"
                                       required onkeypress="return isNumberKey(event)">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <button id="add" type="submit" class="btn1 btn-dark-green">Add to my papers</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <table class="table table-hover table-striped " style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Paper Name</th>
                        <th style="word-wrap: break-word">Description</th>
                        <th style="word-wrap: break-word">Year of Publish</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    {% for paper in list_of_papers %}
                        <tr>
                            <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                            <td style="word-wrap: break-word">{{ paper.paper_name }}</td>
                            <td style="word-wrap: break-word">{{ paper.description }}</td>
                            <td style="word-wrap: break-word">{{ paper.year_of_publish }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepick").datepicker();
        });

        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }


        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $(document).on("click", '#add', function (e) {

            var paper_name = $('#paper_name').val();
            var year = $('#datepicker').val();

            var minyear = 1950;
            var maxyear = new Date().getFullYear();

            if (paper_name.length == 0) {
                alert('Enter proper name');
                return;
            }

            else if (year.length != 4 || (parseInt(year) < minyear || parseInt(year) > maxyear)) {
                alert('Invalid date ( Range: ' + minyear + ' ~ ' + maxyear + ' )');
                return;
            }

            $.ajax({
                type: "POST",
                data: {
                    paper_name: $('#paper_name').val(),
                    description: $('#description').val(),
                    date: $('#datepicker').val(),
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'addpapers' %}',
                success: function (data) {
                    $('#paper_name').val("");
                    $('#description').val("");
                    $('#datepicker').val("");
                    document.getElementById('content').innerHTML = "";
                    counter = 1;
                    $.each(data.list, function (key, val) {
                        document.getElementById('content').innerHTML += '<tr><td style=\"word-wrap: break-word\"><br>' + counter++ + '</td><td style=\"word-wrap: break-word\">' + val.paper_name + '</td><td style=\"word-wrap: break-word\">' + val.description + '</td><td style=\"word-wrap: break-word\">' + val.year + '</td></tr>';
                    })

                }
            });
        });
    </script>

{% endblock %}